# (c) 2020 MPIB <https://www.mpib-berlin.mpg.de/>,
#
# This file is part of castellum-scheduler.
#
# castellum-scheduler is free software; you can redistribute it and/or
# modify it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation; either version 3 of the
# License, or (at your option) any later version.
#
# Castellum is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License along with Castellum. If not, see
# <http://www.gnu.org/licenses/>.

from django.contrib.auth.views import LoginView
from django.contrib.auth.views import LogoutView
from django.contrib.flatpages.views import flatpage
from django.contrib import admin
from django.urls import path
from django.urls import re_path
from django.views.i18n import JavaScriptCatalog

from .main.views import InvitationUpdateView
from .main.views import ScheduleCreateView
from .main.views import ScheduleDeleteView
from .main.views import ScheduleListView
from .main.views import ScheduleUpdateView


urlpatterns = [
    path('', ScheduleListView.as_view(), name='index'),
    path('new/', ScheduleCreateView.as_view(), name='schedule-create'),
    path('<int:pk>/', ScheduleUpdateView.as_view(), name='schedule-update'),
    path('<int:pk>/delete/', ScheduleDeleteView.as_view(), name='schedule-delete'),
    path(
        'invitations/<int:schedule_id>/<token>/',
        InvitationUpdateView.as_view(),
        name='invitation',
    ),
    path('login/', LoginView.as_view(), name='login'),
    path('logout/', LogoutView.as_view(), name='logout'),
    path('admin/', admin.site.urls),
    path('jsi18n/', JavaScriptCatalog.as_view(), name='javascript-catalog'),
    re_path(r'^(?P<url>.*/)$', flatpage),
]
